# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image bg kitchen = "images/background.png"

# Apple faces
image apple angry = "images/angry.png"
image apple happy = "images/happy.png"
image apple hopeful = "images/hopeful.png"
image apple neutral = "images/neutral.png"
image apple sad = "images/sad.png"

# Endgame
image applesauce = "images/applesauce.png"
image eaten = "images/eaten.png"
image falling = "images/falling.png"

# Declare characters used by this game.
define A = Character('Apple', color="#cc3333")
define O = Character('Orange', color="#ffa500")


# The game starts here.
label start:
    play music "fugue.mp3"
    
    scene bg kitchen
    with fade
    
    call block000 from _call_block000
    menu:
        "Yes. Sometimes you just can’t do anything more than what you’ve done.":
            $ choice1 = 1
            call block100 from _call_block100
        "No. If you want something to happen, don’t you have to be the one to make it happen?":
            $ choice1 = 2
            call block200 from _call_block200

    if choice1 == 1:
        menu: 
            "I think you’re going to accomplish your dreams.":
                $ choice2 = 1
                call block110 from _call_block110
            "What will you do if you can’t accomplish your dreams?":
                $ choice2 = 2
                call block120 from _call_block120
    else:
        menu:
            "Is it really right to let someone bigger than you decide whether or not you get to achieve your dreams?":
                $ choice2 = 1
                call block210 from _call_block210
            "It doesn’t matter what they do with you, because you’re going to be amazing with or without them.":
                $choice2 = 2
                call block220 from _call_block220

    menu:
        "You have to achieve your dreams on your own terms!":
            $ choice3 = 1
        "You have to accept the hand of fate!":
            $ choice3 = 2
    play music "dark.mp3"
    if choice3 == 1:
        call block001 from _call_block001
    else:
        call block002 from _call_block002
    return

label block000:
    "The room is big. Really big."
    "The air is warm and tender against my skin, and from my vantage point on the counter here,"
    "I can see everything in the dining room."
    "The tables, the chairs, even the ironic picture of a bowl of fruit hanging on the wall."
    "Almost like a family picture."
    "Almost."
    show apple neutral
    "The table is mostly clear, with one lone apple sitting in its center, staring at me."
    O "Hello?"
    A "Hi! I’m Apple! What’s your name?"
    "Has he never seen an orange before?"
    O "I’m Orange."
    show apple happy
    A "Hi Orange! It’s nice to meet you!"
    "How does he have so much energy?"
    O "It’s uh...nice to meet you too."
    A "Why are you all the way over there?"
    O "The human doesn’t like it when he can smell citrus on his apples, I think."
    show apple neutral
    A "Oh. I’m sorry."
    O "For what?"
    A "That you have to yell all the way over here just to talk to me."
    "Yelling? I’m barely speaking up at all."
    O "It’s alright, it’s not that much strain."
    A "Good."
    "Apple looks at the ground almost sheepishly, and then his eyes come slowly back to me."
    A "Can I ask you something personal?"
    "Something personal? Who is this fruit?"
    "I’ve known him less than five minutes, and he’s already asking personal questions."
    show apple hopeful
    A "Have you ever just really wanted to {i}be{/i} something?"
    A "Like, more than anything else in the world. To the point where nothing else matters."
    O "Um...maybe? I don’t know."
    show apple happy
    "Apple just laughs at that."
    A "I’m sorry, I didn’t mean to intrude. I was just wondering if anybody else felt like that."
    O "Anybody else?"
    show apple sad
    A "Yeah, none of the other Apples understood what I meant."
    O "That’s why you left the bowl."
    A "Yeah."
    O "Can I ask a personal question now?"
    show apple happy
    "Apple laughs again."
    A "What do you want to know?"
    O "What is it that you want to be?"
    show apple hopeful
    A "I just want to be applesauce."
    O "Applesauce?"
    A "Yeah."
    A "I mean, I always have. Ever since I was a seed, I’ve wanted to be applesauce."
    A "There’s just something...special about it, you know?"
    show apple happy
    A "Only the best apples can be made into applesauce."
    A "You have to spend years trying your hardest to become the biggest, juiciest, best thing around."
    show apple hopeful
    A "And even then you still have to compete with all of the other apples and hope that you’re good enough."
    A "And then maybe, maybe if you’re good enough, you get to be with all of the other apples that were good enough."
    show apple neutral
    A "It’s a lot to handle."
    show apple happy
    A "But in spite of all of the obstacles in my way, I’ve made it this far."
    A "I fought off diseases and bugs, I drank in all the water and sunlight I could."
    A "I think that says something about how good I am for the job, don’t you?"
    show apple hopeful
    A "When I was a seed, my mother told me that the only way to achieve your dreams is to try with every ounce of your being."
    A "“Try until your skin falls off.”"
    show apple sad
    "Apple pauses, and looks beyond me at something that isn’t there."
    A "I miss her."
    A "She’s still back in the fields with all of her siblings, rocking my baby brothers and baby sisters back and forth in the wind."
    show apple happy
    A "I wonder if her dream was to be a mother?"
    A "To raise generation after generation of dreams in the shape of apples?"
    A "She’s really good at it."
    A "And she always seemed happy."
    show apple sad
    A "I hope she got what she wanted."
    "He pauses again, staring off into the distance again."
    A "It’s hard to achieve your dreams."
    A "At least, for me it is."
    show apple hopeful
    A "I think that’s what makes it a good dream, don’t you think?"
    show apple happy
    "Apple laughs a little to himself again, and a broad smile creeps onto his face."
    A "When the men came by to pick the apples, they picked me, and I felt so amazing."
    A "I thought that they were sending me right to the plant right then."
    show apple sad
    A "...But they weren’t."
    A "I wasn’t put in that shipping crate."
    A "I was sent to a supermarket a million miles away from the plant."
    show apple happy
    A "And that’s how I ended up here."
    show apple neutral
    A "I’m sure your story’s pretty similar, Orange."
    A "After all, we’re all fruit, aren’t we?"
    "Apple chuckles to himself, but it doesn’t feel like he really means it."
    "It feels more like he just doesn’t want there to be silence."
    A "We’re all fruit."
    show apple hopeful
    A "But hey, fruit can dream of fruit paste, can’t it?"
    A "There’s always the chance that the man that bought me likes to make homemade applesauce."
    A "Wouldn’t that just be perfect?"
    A "You think that nothing is going your way, but then all of a sudden the universe is aligned and all your dreams are realized."
    A "I’d really like that."
    show apple sad
    A "Even though the waiting part just makes me worry that it won’t happen at all."
    show apple happy
    A "But I can’t let myself think like that."
    A "I’ve got to try until my skin falls off, and that means not letting myself get worried about things that I can’t change."
    A "Either they’ll press me or they won’t."
    show apple neutral
    A "..."
    A "Either my dreams come true or they don’t."
    show apple happy
    A "But either way, thinking about it won’t help!"
    A "I just have to hope and trust that I’ve tried hard enough."
    A "That’s the only way to reach your dreams."
    show apple neutral
    A "Do you know what I mean?"
    return

label block100:
    O "Yes. Sometimes you just can’t do anything more than what you’ve done."
    O "If you’ve really done all you can, then you’re sure to accomplish everything you set out to."
    show apple happy
    A "Finally, someone that understands!"
    "Apple smiles again, a broad smile which makes me want to smile too, to share that with him."
    A "None of the other apples understood."
    show apple sad
    A "They just kept telling me that I should be happy to be where I am, that aspiring towards something greater just sets me up for failure."
    A "Or that if I have something that I want but can’t work towards, it’s the same as just wishing on a star."
    A "One of them even said that my dream was dumb!"
    show apple angry
    A "It’s not dumb to want something more out of my life than to sit in a bowl and talk about other fruit all day!"
    A "It’s not dumb to try your hardest to be the best you can be!"
    show apple neutral
    A "Maybe I’m just wishing on a star, but it doesn’t feel like a wish."
    A "It feels like a promise to myself, you know?"
    A "I will be applesauce."
    A "I will try until my skin falls off, and I will be applesauce."
    A "They just can’t tell because all of their brains are rotting."
    show apple happy
    A "Yeah, that’s it."
    "Apple laughs to himself again."
    A "They’ve all got worms."
    "I can’t help but join in the laughter."
    "It’s not that funny, and I know it isn’t that funny, but there’s something about this apple that makes we want to share in his joys."
    "One of those contagious personalities, I guess."
    show apple neutral
    A "You don’t have worms, do you Orange?"
    O "No, of course not. Worms don’t like oranges."
    A "Really?"
    O "I don’t know. I’ve never seen a worm with an orange. So they probably don’t."
    show apple happy
    A "Yeah, I guess you’re right!"
    "Apple smiles over at me, and I can feel myself smiling reflexively back."
    O "Hey, Apple?"
    A "Yeah?"
    return

label block200:
    O "No. If you want something to happen, don’t you have to be the one to make it happen?"
    O "After all, just waiting and hoping that fate will do your work for you is a lot like just wishing on a star, isn’t it?"
    O "There’s all of the intention, but no actual work put into the process."
    O "You’re just {i}hoping really hard{/i}, and that’s never really gotten anyone anywhere."
    show apple angry
    "It seems I’ve struck a nerve: Apple’s face is contorted into a look of misdirected rage at what I just said about his precious dream."
    A "You sound just like the apples!"
    A "Hope is the most important part of it all!"
    A "If I’m ever going to do anything actually meaningful, I have to {i}hope{/i} that I will succeed."
    O "Yes, but if hoping is all you do, you’re never actually going to go anywhere."
    A "All I do?!"
    A "I’ve been preparing my whole life for this!"
    show apple sad
    A "Just because I can’t control where the humans put me doesn’t mean that I am any less deserving of my dream."
    O "But that’s the thing, Apple. You don’t achieve your dream because you {i}deserve{/i} to."
    O "You have to earn it."
    show apple angry
    A "I have earned it! Just because the humans didn’t want me-"
    O "The humans didn’t want you because you didn’t earn it."
    O "You weren’t ready."
    show apple sad
    "Apple looks as if he’s about to cry."
    "It hurts, because I know that I’m the one doing this to him, but this is something he has to hear."
    A "I was ready."
    O "Apple, I’m sorry, but if you were ready, you’d be in a jar already."
    A "So what am I supposed to do?"
    A "Give up on my dream?"
    O "Give up, or make sure it comes to pass."
    A "I can’t control what the human decides to do with me."
    return

label block110:
    O "I think you’re going to accomplish your dreams."
    O "It doesn’t matter what all of the other fruit say, I think you’re going to make it."
    O "Your dream is going to come true, because you’ve done everything to make it come true."
    O "When the human comes home from work, he’s probably going to take you and whatever other apples don’t have any worms, and make some applesauce."
    "Apple laughs a little to himself as I mention the worms."
    "When he finishes laughing, I see him looking up at me with a weak smile and glistening eyes."
    A "You really think so?"
    O "Of course! When you’re that perfect for the job, how could he do anything else?"
    show apple hopeful
    "Apple just smiles at me as I say that, his eyes watering a little."
    O "And I know you’re going to end up being the best-tasting applesauce that there ever was."
    A "Thank you, Orange. For saying all that."
    "The door opens and closes suddenly as a giant figure goes through it."
    "The human is home."
    "He walks over to the table with his gargantuan strides, and from my spot on the counter, I can see him reaching for Apple."
    "I want to encourage him, but I only have a moment before he’s in the human’s hands."
    O "Apple!"
    return

label block120:
    O "What will you do if you can’t accomplish your dreams?"
    show apple neutral
    "Apple looks at me, puzzled."
    A "What do you mean?"
    O "What will you do if the world just doesn’t work out the way you want it to?"
    O "If, no matter how hard you try, you just fall short?"
    show apple happy
    "Apple looks at me, for a moment, thinking, and smiles."
    A "I guess I’ll just have to trust that I did my best."
    A "That I did everything I could, even though it didn’t work out."
    show apple hopeful
    A "I can’t say I’d be happy if it didn’t go my way."
    A "But sometimes that’s just what happens."
    A "It sucks, but that’s just how it goes."
    A "Life isn’t perfect, and sometimes I’m going to fail."
    show apple happy
    A "But I swear, I will try until my skin falls off."
    "The door opens and closes suddenly as a giant figure goes through it."
    "The human is home."
    "He walks over to the table with his gargantuan strides, and from my spot on the counter, I can see him reaching for Apple."
    "I want to encourage him, but I only have a moment before he’s in the human’s hands."
    O "Apple!"
    return

label block210:
    O "Is it really right to let someone bigger than you decide whether or not you get to achieve your dreams?"
    show apple sad
    A "It doesn’t matter if it’s right if it’s the only way."
    O "There’s always another way, Apple."
    O "A dream defined by other people isn’t really a dream at all."
    O "I know I haven’t known you very long, but even I can tell you don’t need their help."
    O "You’re strong, independent, and capable."
    O "And I have faith that you can make your dreams come true on your own, regardless of the obstacles in your path."
    A "You really think so?"
    O "I know so."
    "The door opens and closes suddenly as a giant figure goes through it."
    "The human is home."
    "He walks over to the table with his gargantuan strides, and from my spot on the counter, I can see him reaching for Apple."
    "I want to encourage him, but I only have a moment before he’s in the human’s hands."
    O "Apple!"
    return

label block220:
    O "It doesn’t matter what they do with you, because you’re going to be amazing with or without them."
    A "What do you mean?"
    O "Do you want the long answer or the short answer?"
    A "Is both a choice?"
    O "Sure."
    show apple happy
    "Apple smiles a little at that."
    O "Short answer: it’s not the destination, it’s the journey."
    show apple neutral
    A "And the long answer?"
    O "It doesn’t matter in the end whether or not you actually become applesauce."
    O "What matters is that, at the end of it all, {i}you tried{/i}."
    O "You tried when everyone else wrote you off as an idiot, as they sat in their bowl and did infinitely less than you ever did."
    O "And on this path that you’ve taken, you’ve done things that they, hiding in their bowl, couldn’t even {i}imagine{/i}."
    O "So I don’t think it’s very important whether or not you really make it in the end."
    O "Because no matter what, you enjoyed the journey."
    "Apple sits in silence for a moment, soaking in the words."
    A "Orange?"
    O "Yeah?"
    show apple happy
    A "Thank you for being a part of my journey."
    "I can’t help but smile back at the adventurous little fruit."
    O "And thank you for being a part of mine."
    "The door opens and closes suddenly as a giant figure goes through it."
    "The human is home."
    "He walks over to the table with his gargantuan strides, and from my spot on the counter, I can see him reaching for Apple."
    "I want to encourage him, but I only have a moment before he’s in the human’s hands."
    O "Apple!"
    return

label block001:
    O "You have to achieve your dreams on your own terms!"
    "It might not be the easiest thing to accept, but it is the truth."
    "If he really wants to become applesauce, he’s going to have to do it {i}his{/i} way, not wait for the universe to do it for him."
    show apple angry
    "Apple takes the advice in stride, and rolls away from the human’s outstretched hand."
    scene falling
    "And then he starts to fall of the table."
    "The human reels to catch him, but is just too slow."
    "Apple falls all three feet, landing with a dull thud."
    scene applesauce
    "He doesn’t move again after that."
    "From where I’m sitting, I can see that pieces have fallen off of his body, that a bit of juice is pooling on the floor."
    "I want to look away, but I can’t."
    "This is my friend."
    "Apple."
    "And he might not be entirely applesauce, but part of him is."
    "Crushed on impact."
    "On his own terms."
    "He might not have lived his dream the way he always imagined it, but he did it on his own terms."
    "The human mutters something unintelligible, and picks up Apple’s body, now entirely stationary."
    "The human steps onto the edge of the trash can, and it opens to receive what remains of my friend."
    "All of that hard work for a moment."
    "A moment in which his dream was accomplished on his own terms."
    "A moment before he was thrown in the trash for it."
    "It doesn’t seem to me that Applesauce should be bittersweet."
    "A dream should be a pure thing, shouldn’t it?"
    "Apple would say so."
    "Then again, look where that thinking got him."
    "Maybe it’s not supposed to be bittersweet, but I like it this way."
    "It’s better than just being bitter."
    return

label block002:
    O "You have to accept the hand of fate!"
    "It might not be the easiest thing to accept, but it is the truth."
    show apple neutral
    "Apple stays firmly still as the human picks them up, and raises them towards their mouth."
    scene eaten
    "The human takes a great big bite of my friend."
    "My friend who only ever wanted to be applesauce."
    "My friend who did everything he could but was never able to accomplish his dreams."
    "Sometimes everything comes down to the hand of fate."
    "And sometimes that hand chooses the path you want it to."
    "But sometimes it doesn’t."
    "Sometimes you can want something more than anything else, and never achieve it."
    "Just because someone else decided you shouldn’t ever reach your dreams."
    "Or because things just didn’t work out the right way."
    "It’s not right."
    "It was his dream."
    "It wasn’t even impossible."
    "Well, I guess, in the end, it was."
    "You can’t control the hand of fate."
    "You can only hope that in the end, when you’ve done all you can, that you’ll accomplish your dreams."
    "It’s not very sweet, but fate never pretended to be sweet."
    "It’s cold, discompassionate, calculating."
    "But I guess..."
    "It’s better than just being bitter."
    return
